<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <!-- 通过properties标签，读取java配置文件的内容 -->
    <properties resource="db.properties"/>
    <!-- 配置mybatis的环境信息 -->
    <environments default="dev">
        <environment id="dev">
            <!-- 配置JDBC事务控制，由mtybatis进行管理 -->
            <transactionManager type="JDBC"></transactionManager>
            <!-- 配置数据源，采用dbcp连接池 -->
            <dataSource type="POOLED">
                <property name="driver" value="${db.driver}"/>
                <property name="url" value="${db.url}"/>
                <property name="username" value="${db.user}"/>
                <property name="password" value="${db.password}"/>
            </dataSource>
        </environment>
    </environments>
    <!--mapper的位置 -->
    <mappers>
        <package name="com.csnf.mapper"/>
    </mappers>
</configuration>
